org.apache.tinkerpop.gremlin.server

## Class Settings.ServerMetrics

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.Settings.ServerMetrics

- Enclosing class:
    Settings

      public static class Settings.ServerMetrics
      extends Object

  Settings for `Metrics` recorded by Gremlin Server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Settings.ConsoleReporterMetrics` | `consoleReporter`
    `Settings.CsvReporterMetrics` | `csvReporter`
    `Settings.GangliaReporterMetrics` | `gangliaReporter`
    `Settings.GraphiteReporterMetrics` | `graphiteReporter`
    `Settings.JmxReporterMetrics` | `jmxReporter`
    `Settings.Slf4jReporterMetrics` | `slf4jReporter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Settings.ConsoleReporterMetrics>` | `optionalConsoleReporter()`
    `Optional<Settings.CsvReporterMetrics>` | `optionalCsvReporter()`
    `Optional<Settings.GangliaReporterMetrics>` | `optionalGangliaReporter()`
    `Optional<Settings.GraphiteReporterMetrics>` | `optionalGraphiteReporter()`
    `Optional<Settings.JmxReporterMetrics>` | `optionalJmxReporter()`
    `Optional<Settings.Slf4jReporterMetrics>` | `optionalSlf4jReporter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### consoleReporter

          public Settings.ConsoleReporterMetrics consoleReporter

    - #### csvReporter

          public Settings.CsvReporterMetrics csvReporter

    - #### jmxReporter

          public Settings.JmxReporterMetrics jmxReporter

    - #### slf4jReporter

          public Settings.Slf4jReporterMetrics slf4jReporter

    - #### gangliaReporter

          public Settings.GangliaReporterMetrics gangliaReporter

    - #### graphiteReporter

          public Settings.GraphiteReporterMetrics graphiteReporter

  - ### Constructor Detail

    - #### ServerMetrics

          public ServerMetrics()

  - ### Method Detail

    - #### optionalConsoleReporter

          public Optional<Settings.ConsoleReporterMetrics> optionalConsoleReporter()

    - #### optionalCsvReporter

          public Optional<Settings.CsvReporterMetrics> optionalCsvReporter()

    - #### optionalJmxReporter

          public Optional<Settings.JmxReporterMetrics> optionalJmxReporter()

    - #### optionalSlf4jReporter

          public Optional<Settings.Slf4jReporterMetrics> optionalSlf4jReporter()

    - #### optionalGangliaReporter

          public Optional<Settings.GangliaReporterMetrics> optionalGangliaReporter()

    - #### optionalGraphiteReporter

          public Optional<Settings.GraphiteReporterMetrics> optionalGraphiteReporter()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.